summaryrefslogtreecommitdiffstats
path: root/net/avahi-app/pkg-install
diff options
context:
space:
mode:
authorahze <ahze@df743ca5-7f9a-e211-a948-0013205c9059>2007-08-01 02:24:13 +0800
committerahze <ahze@df743ca5-7f9a-e211-a948-0013205c9059>2007-08-01 02:24:13 +0800
commit69e54b0a49cf6331191325610a890243709190fd (patch)
treed83cf4c62794d203bf2b3a50aa1450008418ab72 /net/avahi-app/pkg-install
parent01dec026357305f64582afda2fbcfd750b5a3c97 (diff)
downloadmarcuscom-ports-69e54b0a49cf6331191325610a890243709190fd.tar
marcuscom-ports-69e54b0a49cf6331191325610a890243709190fd.tar.gz
marcuscom-ports-69e54b0a49cf6331191325610a890243709190fd.tar.bz2
marcuscom-ports-69e54b0a49cf6331191325610a890243709190fd.tar.lz
marcuscom-ports-69e54b0a49cf6331191325610a890243709190fd.tar.xz
marcuscom-ports-69e54b0a49cf6331191325610a890243709190fd.tar.zst
marcuscom-ports-69e54b0a49cf6331191325610a890243709190fd.zip
- Split up avahi
- Add avahi-autoipd (needs rc.d script) git-svn-id: svn://creme-brulee.marcuscom.com/ports/trunk@9305 df743ca5-7f9a-e211-a948-0013205c9059
Diffstat (limited to 'net/avahi-app/pkg-install')
-rw-r--r--net/avahi-app/pkg-install36
1 files changed, 36 insertions, 0 deletions
diff --git a/net/avahi-app/pkg-install b/net/avahi-app/pkg-install
new file mode 100644
index 000000000..9bbd14bce
--- /dev/null
+++ b/net/avahi-app/pkg-install
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+case $2 in
+POST-INSTALL)
+ USER=avahi
+ GROUP=${USER}
+ UID=558
+ GID=${UID}
+ PW=/usr/sbin/pw
+
+ if ${PW} group show "${GROUP}" 2>/dev/null; then
+ echo "You already have a group \"${GROUP}\", so I will use it."
+ else
+ if ${PW} groupadd ${GROUP} -g ${GID}; then
+ echo "Added group \"${GROUP}\"."
+ else
+ echo "Adding group \"${GROUP}\" failed..."
+ exit 1
+ fi
+ fi
+
+ if ${PW} user show "${USER}" 2>/dev/null; then
+ echo "You already have a user \"${USER}\", so I will use it."
+ else
+ if ${PW} useradd ${USER} -u ${UID} -g ${GROUP} -h - \
+ -d "/nonexistent" -s /sbin/nologin -c "Avahi Daemon User"
+ then
+ echo "Added user \"${USER}\"."
+ else
+ echo "Adding user \"${USER}\" failed..."
+ exit 1
+ fi
+ fi
+ exit 0
+ ;;
+esac